<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-back-button defaultHref="tabs/tab2"></ion-back-button>
    </ion-buttons>
    <ion-title>pagamento</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content padding>
  
  <ion-card>
    <ion-card-header  *ngIf="tipo !== 'carrinho'">
      <ion-card-title>Bolo escolhido</ion-card-title>
      <h4>{{ bolo.nome }}</h4>
    </ion-card-header>

    <ion-card-header color="medium" *ngIf="tipo == 'carrinho'">
      <ion-card-title>Bolo(s) escolhido(s)</ion-card-title>
      <h4 *ngFor="let p of produtos">{{ p.qtde }} {{ p.bolo.nome }}</h4>
      <ion-grid>
        <ion-row>
          <ion-col size="8">
            <ion-label color="light">Total: {{ totalValor | currency: 'BRL'  }} </ion-label>
          </ion-col>
          <ion-col size="4">
            <ion-label color="light">Itens: {{ totalItens }} </ion-label>
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-card-header>
  </ion-card>

  <ion-card >
    <ion-card-header color="medium">
      <ion-card-title>Dados da entrega</ion-card-title>
      <ion-input type="text" [(ngModel)]="cliente.nome" placeholder="Nome"></ion-input>
      <ion-input  type="text" [(ngModel)]="cliente.telefone" placeholder="Telefone"></ion-input>
      <ion-input  type="text" [(ngModel)]="cliente.cep" placeholder="Cep" ></ion-input>
    </ion-card-header>
  </ion-card>
  <ion-button shape="round"  expand="full" (click)="finalizarPedido()" >Confirmar</ion-button>
</ion-content>